"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateAbility = exports.AppDomain = exports.AuthTokenType = void 0;
const ability_1 = require("@casl/ability");
var AuthTokenType;
(function (AuthTokenType) {
    AuthTokenType["Bearer"] = "Bearer";
    AuthTokenType["Basic"] = "Basic";
})(AuthTokenType = exports.AuthTokenType || (exports.AuthTokenType = {}));
var AppDomain;
(function (AppDomain) {
    AppDomain["MERCHANT"] = "MERCHANT";
    AppDomain["CONSUMER"] = "CONSUMER";
    AppDomain["ADMIN"] = "ADMIN";
})(AppDomain = exports.AppDomain || (exports.AppDomain = {}));
function generateAbility(rules) {
    const ability = (0, ability_1.defineAbility)((_can, cannot) => {
        cannot('manage', 'all');
    });
    if (rules) {
        ability.update(JSON.parse(rules));
    }
    return ability;
}
exports.generateAbility = generateAbility;
//# sourceMappingURL=auth-type.js.map